Skip to main content
GET
Get a single company or a list of companies

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

name
string

Name of company you want to get.

id
integer<int64>

ID of company you want to get.

externalId
string

External ID of company you want to get.

domain
string

Domain of company you want to get.

limit
integer<int32>

Number of companies to return per page. Default - 20. Maximum - 1000.

page
integer<int32>

Page of results to return. Default - 1.

includeTotalCount
boolean

Returns total count of companies, if set to true.

orderBy
string

Results ordering. Possible ordering fields are name, createdAt and modifiedAt. Ordering direction can be specified with modifiers asc for the ascending ordering or desc for the descending one.

filter
string

Allows to filter companies using simple queries. Just pass to the parameter URL encoded query.

List of supported logical operators:
List of supported comparison operators:

Response

successful response

companies
IamCompanyV2 · object[]

List of companies.

limit
integer<int32>

Limit how many rows will be returned (but possibly less, if the query itself yields fewer rows)

orderBy
string

Results ordering

page
integer<int32>

Page number

totalCount
integer<int64>
read-only

Total amount of rows